import { type HTMLAttributes } from 'vue';
/**
 * The base-card component is a flexible container that groups a chunk of related content. Base cards can be used to highlight important information and are often paired with associated actions.
 */
type __VLS_Props = {
    /**
     * The size of card
     */
    size?: 'standard' | 'compact' | 'no-padding' | 'with-image';
    /**
     * Whether or not the card has elevation
     */
    elevated?: boolean;
    /**
     * Weight for a border around the card
     */
    borderWeight?: 'standard' | 'bold' | 'none';
    /**
     * Class for the border color
     */
    borderColorClass?: string;
    /**
     * Class for the background color of the card
     */
    bgColorClass?: string;
    /**
     * The url of the image used
     */
    isFocused?: boolean;
    /**
     * Applies various property CSS styles for overflow: {property}
     */
    overflowClass?: 'hidden' | 'visible' | 'scroll' | 'auto';
    /**
     * Used to change certain classes / behavior on mobile so that the card can expand to full width of the parent container
     */
    expandsOnMobile?: boolean;
    /**
     * Inherited classes from parent
     */
    class?: HTMLAttributes['class'];
};
declare function __VLS_template(): {
    attrs: Partial<{}>;
    slots: {
        default?(_: {}): any;
    };
    refs: {};
    rootEl: HTMLDivElement;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import("vue").DefineComponent<__VLS_Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<__VLS_Props> & Readonly<{}>, {
    size: "standard" | "compact" | "no-padding" | "with-image";
    class: HTMLAttributes["class"];
    elevated: boolean;
    borderWeight: "standard" | "bold" | "none";
    borderColorClass: string;
    bgColorClass: string;
    isFocused: boolean;
    overflowClass: "hidden" | "visible" | "scroll" | "auto";
    expandsOnMobile: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, HTMLDivElement>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
