declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * Sets the `accept` html attribute. This string is a comma separated list of unique file type specifiers which determine the types of files the input can accept. Example: "image/png, image/jpeg"
     */
    accept: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Associates the label with the hidden input for accessibility.
     */
    inputId: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Sets the `multiple` HTML attribute on the input which determines whether more than one file can be selected from the file explorer. It is still necessary to use validation to check whether the desired number of files has been added (even if `multiple="false"` you can still drag and drop multiple files).
     */
    multiple: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Sets the `name` HTML attribute.
     */
    name: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Whether files are being uploaded.
     */
    loading: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Object with needed translation strings for the component. (ex. usage in app: ```{ label: $t('label-translation-id')```})
     */
    i18n: {
        type: ObjectConstructor;
        required: true;
        validator: (labels: unknown) => boolean;
    };
}>, {}, {
    isActive: boolean;
    files: any[];
}, {
    activeContainerClasses(): "" | "fx-bg-brown-10";
}, {
    openFileDialog(): void;
    buildThumbnailURL(file: any): any;
    removeThumbnailURL(file: any): void;
    removeFile(index: any): void;
    onDragEnter(): void;
    onDragLeave(): void;
    onDragOver(): void;
    onDrop(event: any): void;
    onChange(event: any): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Sets the `accept` html attribute. This string is a comma separated list of unique file type specifiers which determine the types of files the input can accept. Example: "image/png, image/jpeg"
     */
    accept: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Associates the label with the hidden input for accessibility.
     */
    inputId: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Sets the `multiple` HTML attribute on the input which determines whether more than one file can be selected from the file explorer. It is still necessary to use validation to check whether the desired number of files has been added (even if `multiple="false"` you can still drag and drop multiple files).
     */
    multiple: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Sets the `name` HTML attribute.
     */
    name: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Whether files are being uploaded.
     */
    loading: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Object with needed translation strings for the component. (ex. usage in app: ```{ label: $t('label-translation-id')```})
     */
    i18n: {
        type: ObjectConstructor;
        required: true;
        validator: (labels: unknown) => boolean;
    };
}>> & Readonly<{}>, {
    loading: boolean;
    multiple: boolean;
}, {}, {
    UploadIcon: any;
    PictureIcon: any;
    TrashIcon: any;
    AppProgressSpinner: any;
    AppStaticTextAndIcon: any;
    AppButton: {
        new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("@/components/buttons/v3/AppButton/AppButton.vue").ButtonProps> & Readonly<{
            "onButton-clicked"?: () => any;
        }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
            "button-clicked": () => any;
        }, import("vue").PublicProps, {
            variant: import("../../buttons/v3/AppButton/index.js", { with: { "resolution-mode": "import" } }).ButtonVariants["variant"];
            icon: {
                position?: "left" | "right";
                description: string;
            } | null;
            class: import("vue").HTMLAttributes["class"];
            href: string | null;
            target: string;
            buttonAction: "submit" | "reset" | "button";
            isDisabled: boolean;
            isLoading: boolean;
            buttonType: "icon" | "button";
            buttonSize: import("../../buttons/v3/AppButton/index.js", { with: { "resolution-mode": "import" } }).ButtonVariants["size"];
        }, false, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import("@/components/buttons/v3/AppButton/AppButton.vue").ButtonProps> & Readonly<{
            "onButton-clicked"?: () => any;
        }>, {}, {}, {}, {}, {
            variant: import("../../buttons/v3/AppButton/index.js", { with: { "resolution-mode": "import" } }).ButtonVariants["variant"];
            icon: {
                position?: "left" | "right";
                description: string;
            } | null;
            class: import("vue").HTMLAttributes["class"];
            href: string | null;
            target: string;
            buttonAction: "submit" | "reset" | "button";
            isDisabled: boolean;
            isLoading: boolean;
            buttonType: "icon" | "button";
            buttonSize: import("../../buttons/v3/AppButton/index.js", { with: { "resolution-mode": "import" } }).ButtonVariants["size"];
        }>;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import("vue").ComponentOptionsBase<Readonly<import("@/components/buttons/v3/AppButton/AppButton.vue").ButtonProps> & Readonly<{
        "onButton-clicked"?: () => any;
    }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
        "button-clicked": () => any;
    }, string, {
        variant: import("../../buttons/v3/AppButton/index.js", { with: { "resolution-mode": "import" } }).ButtonVariants["variant"];
        icon: {
            position?: "left" | "right";
            description: string;
        } | null;
        class: import("vue").HTMLAttributes["class"];
        href: string | null;
        target: string;
        buttonAction: "submit" | "reset" | "button";
        isDisabled: boolean;
        isLoading: boolean;
        buttonType: "icon" | "button";
        buttonSize: import("../../buttons/v3/AppButton/index.js", { with: { "resolution-mode": "import" } }).ButtonVariants["size"];
    }, {}, string, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
        $slots: Readonly<{
            icon(): any;
            default(): any;
        }> & {
            icon(): any;
            default(): any;
        };
    });
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
