declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * If you want to close the modal when clicking on the backdrop
     */
    backdropClose: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * If you want to add the close button (X)
     */
    closeButton: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * If you want to add the back button
     */
    backButton: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * Size of the modal
     */
    size: {
        type: StringConstructor;
        default: string;
        required: false;
        validator: (prop: unknown) => boolean;
    };
    /**
     * Primary button is disabled
     */
    disabledPrimary: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * Secondary button is disabled
     */
    disabledSecondary: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * If you want the first button to have a white background
     */
    useSecondaryButtonStylingOnPrimaryButton: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * If the primary button is in a loading state
     */
    loadingPrimary: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * If you want to specify the type of the secondary button
     */
    secondaryButtonType: {
        type: StringConstructor;
        default: string;
        required: false;
        validator: (prop: unknown) => boolean;
    };
    defaultContentPadding: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
}>, {}, {
    centerModal: boolean;
    isMobile: boolean;
    scrollYPosition: number;
    hasScrolled: boolean;
    hasReachedScrollEnd: boolean;
    mutationObserver: any;
}, {
    isLargeVariantAndNotMobileWeb(): boolean;
    isNotLargeVariant(): boolean;
    isDefaultOrLargeVariant(): boolean;
    getAppHeadingClasses(): "md:fx-text-heading-28" | "md:fx-text-heading-24";
    getPaddingBottomClassForHeader(): "fx-pb-24" | "fx-pb-16";
    getScrollClassesForHeader(): "" | "custom-box-shadow";
    getScrollClassesForFooterContainer(): "fx-bg-white-100" | "custom-box-shadow";
    getTextSizeClasses(): "md:fx-text-lg" | "md:fx-text-base";
    getModalSize(): "md:fx-w-[800px] fx-w-full" | "md:fx-w-[444px] fx-w-full" | "md:fx-w-[620px] fx-w-full";
    hasModalHeaderElements(): boolean | import("vue").Slot<any>;
}, {
    connectMutationObserver(): void;
    closeModal(): void;
    elementToFocusOnOpen(): any;
    watchForEscKey(event: any): void;
    primaryClicked(): void;
    secondaryClicked(): void;
    backButtonClicked(): void;
    /** Manually calculate padding bottom for content based on the rest of the items in the modal */
    calculateContentBottomPadding(): void;
    calculateIfMobile(): void;
    /** We programmatically set the height here to combat some issues with address bars on ios mobile */
    setHeightOfModalAndBody(): void;
    handleScroll(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * If you want to close the modal when clicking on the backdrop
     */
    backdropClose: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * If you want to add the close button (X)
     */
    closeButton: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * If you want to add the back button
     */
    backButton: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * Size of the modal
     */
    size: {
        type: StringConstructor;
        default: string;
        required: false;
        validator: (prop: unknown) => boolean;
    };
    /**
     * Primary button is disabled
     */
    disabledPrimary: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * Secondary button is disabled
     */
    disabledSecondary: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * If you want the first button to have a white background
     */
    useSecondaryButtonStylingOnPrimaryButton: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * If the primary button is in a loading state
     */
    loadingPrimary: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * If you want to specify the type of the secondary button
     */
    secondaryButtonType: {
        type: StringConstructor;
        default: string;
        required: false;
        validator: (prop: unknown) => boolean;
    };
    defaultContentPadding: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
}>> & Readonly<{}>, {
    size: string;
    closeButton: boolean;
    backdropClose: boolean;
    backButton: boolean;
    disabledPrimary: boolean;
    disabledSecondary: boolean;
    useSecondaryButtonStylingOnPrimaryButton: boolean;
    loadingPrimary: boolean;
    secondaryButtonType: string;
    defaultContentPadding: boolean;
}, {}, {
    AppHeading: any;
    CloseIcon: any;
    AppButton: {
        new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("@/components/buttons/v3/AppButton/AppButton.vue").ButtonProps> & Readonly<{
            "onButton-clicked"?: () => any;
        }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
            "button-clicked": () => any;
        }, import("vue").PublicProps, {
            variant: import("../../buttons/v3/AppButton/index.js", { with: { "resolution-mode": "import" } }).ButtonVariants["variant"];
            icon: {
                position?: "left" | "right";
                description: string;
            } | null;
            class: import("vue").HTMLAttributes["class"];
            href: string | null;
            target: string;
            buttonAction: "submit" | "reset" | "button";
            isDisabled: boolean;
            isLoading: boolean;
            buttonType: "icon" | "button";
            buttonSize: import("../../buttons/v3/AppButton/index.js", { with: { "resolution-mode": "import" } }).ButtonVariants["size"];
        }, false, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import("@/components/buttons/v3/AppButton/AppButton.vue").ButtonProps> & Readonly<{
            "onButton-clicked"?: () => any;
        }>, {}, {}, {}, {}, {
            variant: import("../../buttons/v3/AppButton/index.js", { with: { "resolution-mode": "import" } }).ButtonVariants["variant"];
            icon: {
                position?: "left" | "right";
                description: string;
            } | null;
            class: import("vue").HTMLAttributes["class"];
            href: string | null;
            target: string;
            buttonAction: "submit" | "reset" | "button";
            isDisabled: boolean;
            isLoading: boolean;
            buttonType: "icon" | "button";
            buttonSize: import("../../buttons/v3/AppButton/index.js", { with: { "resolution-mode": "import" } }).ButtonVariants["size"];
        }>;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import("vue").ComponentOptionsBase<Readonly<import("@/components/buttons/v3/AppButton/AppButton.vue").ButtonProps> & Readonly<{
        "onButton-clicked"?: () => any;
    }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
        "button-clicked": () => any;
    }, string, {
        variant: import("../../buttons/v3/AppButton/index.js", { with: { "resolution-mode": "import" } }).ButtonVariants["variant"];
        icon: {
            position?: "left" | "right";
            description: string;
        } | null;
        class: import("vue").HTMLAttributes["class"];
        href: string | null;
        target: string;
        buttonAction: "submit" | "reset" | "button";
        isDisabled: boolean;
        isLoading: boolean;
        buttonType: "icon" | "button";
        buttonSize: import("../../buttons/v3/AppButton/index.js", { with: { "resolution-mode": "import" } }).ButtonVariants["size"];
    }, {}, string, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
        $slots: Readonly<{
            icon(): any;
            default(): any;
        }> & {
            icon(): any;
            default(): any;
        };
    });
    ArrowLeftIcon: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, SVGSVGElement>;
    FocusTrap: import("vue").DefineComponent<{
        active: {
            type: BooleanConstructor;
            default: boolean;
        };
    } & {
        escapeDeactivates: {
            type: BooleanConstructor;
            default: true;
        };
        returnFocusOnDeactivate: {
            type: BooleanConstructor;
            default: true;
        };
        allowOutsideClick: {
            type: import("vue").PropType<boolean | import("focus-trap").MouseEventToBoolean | undefined>;
            default: true;
        };
        clickOutsideDeactivates: import("vue").PropType<boolean | import("focus-trap").MouseEventToBoolean | undefined>;
        initialFocus: import("vue").PropType<import("focus-trap").FocusTargetOrFalse | (() => void) | undefined>;
        fallbackFocus: import("vue").PropType<import("focus-trap").FocusTarget | undefined>;
        checkCanFocusTrap: import("vue").PropType<((containers: (HTMLElement | SVGElement)[]) => Promise<void>) | undefined>;
        checkCanReturnFocus: import("vue").PropType<((trigger: HTMLElement | SVGElement) => Promise<void>) | undefined>;
        delayInitialFocus: {
            type: BooleanConstructor;
            default: true;
        };
        document: import("vue").PropType<Document | undefined>;
        preventScroll: BooleanConstructor;
        setReturnFocus: import("vue").PropType<import("focus-trap").FocusTargetValueOrFalse | ((nodeFocusedBeforeActivation: HTMLElement | SVGElement) => import("focus-trap").FocusTargetValueOrFalse) | undefined>;
        tabbableOptions: import("vue").PropType<import("focus-trap").FocusTrapTabbableOptions | undefined>;
    }, {
        activate(): void;
        deactivate(): void;
        renderImpl(): import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[] | null;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:active" | "activate" | "postActivate" | "deactivate" | "postDeactivate")[], "update:active" | "activate" | "postActivate" | "deactivate" | "postDeactivate", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        active: {
            type: BooleanConstructor;
            default: boolean;
        };
    } & {
        escapeDeactivates: {
            type: BooleanConstructor;
            default: true;
        };
        returnFocusOnDeactivate: {
            type: BooleanConstructor;
            default: true;
        };
        allowOutsideClick: {
            type: import("vue").PropType<boolean | import("focus-trap").MouseEventToBoolean | undefined>;
            default: true;
        };
        clickOutsideDeactivates: import("vue").PropType<boolean | import("focus-trap").MouseEventToBoolean | undefined>;
        initialFocus: import("vue").PropType<import("focus-trap").FocusTargetOrFalse | (() => void) | undefined>;
        fallbackFocus: import("vue").PropType<import("focus-trap").FocusTarget | undefined>;
        checkCanFocusTrap: import("vue").PropType<((containers: (HTMLElement | SVGElement)[]) => Promise<void>) | undefined>;
        checkCanReturnFocus: import("vue").PropType<((trigger: HTMLElement | SVGElement) => Promise<void>) | undefined>;
        delayInitialFocus: {
            type: BooleanConstructor;
            default: true;
        };
        document: import("vue").PropType<Document | undefined>;
        preventScroll: BooleanConstructor;
        setReturnFocus: import("vue").PropType<import("focus-trap").FocusTargetValueOrFalse | ((nodeFocusedBeforeActivation: HTMLElement | SVGElement) => import("focus-trap").FocusTargetValueOrFalse) | undefined>;
        tabbableOptions: import("vue").PropType<import("focus-trap").FocusTrapTabbableOptions | undefined>;
    }>> & {
        onActivate?: ((...args: any[]) => any) | undefined;
        onPostActivate?: ((...args: any[]) => any) | undefined;
        onDeactivate?: ((...args: any[]) => any) | undefined;
        onPostDeactivate?: ((...args: any[]) => any) | undefined;
        "onUpdate:active"?: ((...args: any[]) => any) | undefined;
    }, {
        returnFocusOnDeactivate: boolean;
        escapeDeactivates: boolean;
        allowOutsideClick: boolean | import("focus-trap").MouseEventToBoolean | undefined;
        preventScroll: boolean;
        delayInitialFocus: boolean;
        active: boolean;
    }, {}>;
    AppButtonGroup: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        orientation: {
            type: StringConstructor;
            default: string;
            validator: (prop: unknown) => boolean;
            required: false;
        };
        align: {
            type: StringConstructor;
            default: string;
            validator: (prop: unknown) => boolean;
            required: false;
        };
        buttonWidth: {
            type: StringConstructor;
            default: string;
            validator: (prop: unknown) => boolean;
            required: false;
        };
    }>, {}, {}, {
        hasTwoButtons(): boolean;
    }, {
        getClassesForOrientation(): "" | "fx-flex-col";
        getClassesForAlign(): "fx-justify-center" | "fx-items-center fx-mx-auto" | "fx-items-end" | "fx-justify-end" | "fx-items-start" | "fx-justify-start";
        getClassesForButtonWidth(): "center-buttons-app-button-group fx-w-full" | "center-buttons-app-button-group fx-flex-grow fx-min-w-[calc(50%-theme(space.4))]" | "fx-w-auto";
    }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        orientation: {
            type: StringConstructor;
            default: string;
            validator: (prop: unknown) => boolean;
            required: false;
        };
        align: {
            type: StringConstructor;
            default: string;
            validator: (prop: unknown) => boolean;
            required: false;
        };
        buttonWidth: {
            type: StringConstructor;
            default: string;
            validator: (prop: unknown) => boolean;
            required: false;
        };
    }>> & Readonly<{}>, {
        orientation: string;
        align: string;
        buttonWidth: string;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
