declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * By default we render a `<button>` element, but in the case you need an `<a>` element (you want to link to a URL instead of triggering an action or method), you can pass in an `href` prop value.
     */
    href: {
        type: StringConstructor;
        default: any;
        required: false;
    };
    /**
     * By default we render a `<button>` element, but in the case you need an `<a>` element you can set its target attribute through this prop.
     */
    target: {
        type: StringConstructor;
        default: string;
        required: false;
    };
    /**
     * Controls the HTML button "type" attribute. Default is "button"
     */
    buttonAction: {
        type: StringConstructor;
        default: string;
        validator: (prop: unknown) => boolean;
        required: false;
    };
    /**
     * Controls the sizing styles of the button. Default size is large.
     */
    buttonSize: {
        type: StringConstructor;
        default: string;
        validator: (prop: unknown) => boolean;
        required: false;
    };
    /**
     * Controls the main type styles for the button. Default type is primary.
     */
    buttonType: {
        type: StringConstructor;
        default: string;
        validator: (prop: unknown) => boolean;
        required: false;
    };
    /**
     * Controls the disabled state for the button. Default is false.
     */
    isDisabled: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * Controls whether the button is in loading state or not. Note this is not used when `href` is defined.
     */
    isLoading: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * Controls the mock disabled state for the button. Note: does not prevent firing of events on click, use cautiously.
     */
    isFakeDisabled: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
}>, {}, {
    sharedButtonClasses: string;
    extraSmallButtonMinWidthClass: string;
    extraSmallButtonMaxWidthClass: string;
    smallButtonMinWidthClass: string;
    smallButtonMaxWidthClass: string;
    mediumButtonMinWidthClass: string;
    mediumButtonMaxWidthClass: string;
    largeButtonMinWidthClass: string;
    largeButtonMaxWidthClass: string;
}, {
    getButtonSizeClasses(): string;
    getButtonTypeClasses(): string;
    getButtonMaxAndMinWidthClasses(): string;
    /**
     * We can't only go off the native `disabled` property here since that can also be triggered by `isLoading`
     * we don't want the regular disabled styles to be added if the button is in a loading state, only when `isDisabled` is true
     */
    getDisabledClassesPrimary(): "" | "disabled:fx-bg-primary-disabled disabled:fx-text-primary-inactive";
    getDisabledClassesSecondary(): "" | "disabled:fx-border-none disabled:fx-bg-primary-disabled disabled:fx-text-primary-inactive";
    getDisabledClassesBorderless(): "" | "disabled:fx-text-primary-inactive disabled:fx-bg-transparent";
    getMockDisabledClassesPrimary(): "fx-bg-primary-disabled fx-text-primary-inactive hover:fx-bg-primary-disabled fx-cursor-not-allowed" | "fx-text-white-100 fx-bg-primary-emphasis hover:fx-bg-primary-emphasis-hover active:fx-shadow-inner-dark fx-cursor-pointer";
    getMockDisabledClassesSecondary(): "fx-border-none fx-bg-primary-disabled fx-text-primary-inactive hover:fx-bg-primary-disabled fx-cursor-not-allowed" | "fx-text-primary-default fx-bg-primary-default hover:fx-bg-primary-hover active:fx-bg-primary-inset active:fx-shadow-inner-light fx-cursor-pointer ";
    getMockDisabledClassesBorderless(): "fx-text-primary-inactive hover:fx-bg-transparent" | "fx-text-primary-default hover:fx-bg-primary-hover active:fx-bg-primary-inset active:fx-shadow-inner-light fx-cursor-pointer";
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * By default we render a `<button>` element, but in the case you need an `<a>` element (you want to link to a URL instead of triggering an action or method), you can pass in an `href` prop value.
     */
    href: {
        type: StringConstructor;
        default: any;
        required: false;
    };
    /**
     * By default we render a `<button>` element, but in the case you need an `<a>` element you can set its target attribute through this prop.
     */
    target: {
        type: StringConstructor;
        default: string;
        required: false;
    };
    /**
     * Controls the HTML button "type" attribute. Default is "button"
     */
    buttonAction: {
        type: StringConstructor;
        default: string;
        validator: (prop: unknown) => boolean;
        required: false;
    };
    /**
     * Controls the sizing styles of the button. Default size is large.
     */
    buttonSize: {
        type: StringConstructor;
        default: string;
        validator: (prop: unknown) => boolean;
        required: false;
    };
    /**
     * Controls the main type styles for the button. Default type is primary.
     */
    buttonType: {
        type: StringConstructor;
        default: string;
        validator: (prop: unknown) => boolean;
        required: false;
    };
    /**
     * Controls the disabled state for the button. Default is false.
     */
    isDisabled: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * Controls whether the button is in loading state or not. Note this is not used when `href` is defined.
     */
    isLoading: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * Controls the mock disabled state for the button. Note: does not prevent firing of events on click, use cautiously.
     */
    isFakeDisabled: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
}>> & Readonly<{}>, {
    href: string;
    target: string;
    buttonAction: string;
    isDisabled: boolean;
    isLoading: boolean;
    buttonType: string;
    buttonSize: string;
    isFakeDisabled: boolean;
}, {}, {
    AppLoader: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, HTMLDivElement>;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
