declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    /**
     * Controls the size of the button.
     */
    buttonSize: {
        type: StringConstructor;
        required: false;
        default: string;
        validator: (prop: unknown) => boolean;
    };
    /**
     * Title that appears above the main card title.
     */
    subheading: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Heading text for the card option.
     */
    heading: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Option value for the button.
     */
    optionValue: {
        type: (ObjectConstructor | StringConstructor)[];
        required: true;
    };
    /**
     * HTML name attribute for the button.
     */
    name: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Additional info that goes below the main heading.
     */
    additionalInfo: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Controls the loading state of the button.
     */
    isLoading: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
}>, {}, {
    currentlyKeyboardFocused: boolean;
}, {
    isCondensedSize(): boolean;
}, {
    handleClick(): void;
    /**
     * `data-focus-visible-added gets added from the focus visible polyfill https://github.com/WICG/focus-visible. Since currently :focus-within is not supported with combination of :focus-visible, we have to do some manual work to check to see if the input is focused, and then bind to the class on the wrapping component we want to style
     */
    checkIfInputIsKeyboardFocused(): void;
    getHeadingClasses(): "md:fx-text-base md:fx-font-regular fx-font-regular" | "md:fx-text-lg md:fx-font-bold fx-font-bold";
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Controls the size of the button.
     */
    buttonSize: {
        type: StringConstructor;
        required: false;
        default: string;
        validator: (prop: unknown) => boolean;
    };
    /**
     * Title that appears above the main card title.
     */
    subheading: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Heading text for the card option.
     */
    heading: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Option value for the button.
     */
    optionValue: {
        type: (ObjectConstructor | StringConstructor)[];
        required: true;
    };
    /**
     * HTML name attribute for the button.
     */
    name: {
        type: StringConstructor;
        required: true;
    };
    /**
     * Additional info that goes below the main heading.
     */
    additionalInfo: {
        type: StringConstructor;
        required: false;
    };
    /**
     * Controls the loading state of the button.
     */
    isLoading: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
}>> & Readonly<{}>, {
    isLoading: boolean;
    buttonSize: string;
}, {}, {
    ArrowRightOutline: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    AppLoader: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, HTMLDivElement>;
    ChevronRight: any;
    AdditionalInfo: any;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
